<?php

/*
Plugin Name: Podcast Player
Plugin URI: http://andywibbels.com/podcastplayer/
Description: Integrates Fabricio Zuardi's XSPF Web Music Player adding a download link and Flash Play button to any post with an MP3 enclosure.
Author: Andy Wibbels
Version: 0.9
Author URI: http://andywibbels.com/
*/ 

function podcast_player($content) {
	global $id, $post;
	if (!empty($post->post_password) && ($_COOKIE['wp-postpass_'.COOKIEHASH] != $post->post_password)) return;

	$custom_fields = get_post_custom();
	if( is_array( $custom_fields ) ) {
		while( list( $key, $val ) = each( $custom_fields ) ) { 
			if( $key == 'enclosure' ) {
				if (is_array($val)) {
					foreach($val as $enc) {
						$enclosure = split( "\n", $enc );
						$enclosure_url = trim( htmlspecialchars($enclosure[ 0 ]) );
						$enclosure_length = trim( htmlspecialchars($enclosure[ 1 ]) );
						$enclosure_type = trim( htmlspecialchars($enclosure[ 2 ]) );

							if ($enclosure_type = "audio/mpeg") {

								$path_to_site = get_settings('siteurl');
								$post_title = the_title();

								$enclosure_html = "<p style=\"padding: 5px; border: 2px solid #FFCC33; text-align: center;\">You can <a href=".$enclosure_url.">download this audio file</a> ";
								$enclosure_html = $enclosure_html."or <strong style=\"padding-right: 5px;\"\>click the play button</strong> <object align=\"absmiddle\" type=\"application/x-shockwave-flash\"";
								$enclosure_html = $enclosure_html." data=\"".$path_to_site."/wp-content/plugins/podcast_player/musicplayer.swf?song_url=".$enclosure_url."\"";
								$enclosure_html = $enclosure_html." width=\"17\" height=\"17\">";
								$enclosure_html = $enclosure_html."<param name=\"movie\"";
								$enclosure_html = $enclosure_html." value=\"".$path_to_site."/wp-content/plugins/podcast_player/musicplayer.swf?song_url=".$enclosure_url."\"/>";
								$enclosure_html = $enclosure_html."</object></p>";

								$content = $content.$enclosure_html;

							return $content;

							}
					}
				}
			}
		}
	}
						return $content;
}

add_filter('the_content', 'podcast_player');

?>